# Get one pending invite

get ` https://app.mk.io/api/v1/organization/invites/:invite_id`

This endpoint shows the details of one pending invitation.

RBAC Capability Required: `core.invite.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your
auth token.

## Path parameters

| Parameter   | Type   | Required | Format  |
|-------------|--------|----------|---------|
| invite_id   | string | Yes      | uuid    |

## Response

200 OK

### Properties

| Name           | Type   | Required | Format  | Description                                                         |
|----------------|--------|----------|---------|---------------------------------------------------------------------|
| kind           | string | No       |         | The kind of record.                                               |
| metadata       | object | No       |         | [InviteMetadataSchema](https://docs.mediakind.com/api-reference/management-api/schemas/invitemetadataschema)        |
| created        | string | No       | date-time | The time when the resource was created.                              |
| id             | string | Yes      | uuid    | The ID of the resource.                                          |
| spec          | object | Yes      |         | [InviteSpecSchema](https://docs.mediakind.com/api-reference/management-api/schemas/invitespecschema)                  |

### spec Properties

| Name                  | Type   | Required | Description                                                         |
|-----------------------|--------|----------|---------------------------------------------------------------------|
| comment               | string | Yes      | Comment to explain why the user has been invited to collaborate with your organization |
| email                 | string | Yes      | Email of the user to be invited                                  |
| invitedByEmail        | string | Yes      | Contact email of user who made the invite                        |
| invitedByName         | string | Yes      | Name of user who made the invite                                  |
| organizationName      | string | Yes      | Name of the organization the invite refers to                       |
| teams                 | list of strings | No | List of team names to add this user to when they accept.        |

## Errors

### 400 Bad Request

| Name     | Type   | Required | Description                          |
|----------|--------|----------|--------------------------------------|
| error    | object | Yes      | [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

#### ErrorDetail Properties

| Name        | Type   | Required | Description                                                       |
|-------------|--------|----------|-------------------------------------------------------------------|
| code        | string | Yes      | The error code.                                                  |
| detail      | string | Yes      | The error message.                                              |
| extraDetail | map from strings to any | No | Extra information regarding this error.      |
| ref         | string | Yes      | A reference to the request that caused the error.             |
| status      | integer| Yes      | The HTTP status code                                           |

### 401 Unauthorized

| Same as above |

### 403 Forbidden

| Same as above |

### 404 Not Found

| Same as above |

### 429 Too Many Requests

| Same as above |

### 500 Internal Server Error

| Same as above |
